Package Details: php73-cgi 7.3.28-1

Git Clone URL: https://aur.archlinux.org/php73.git (read-only, click to copy)
Package Base: php73
Description: CGI and FCGI SAPI for PHP
Upstream URL: https://www.php.net/
Licenses: PHP
Submitter: matth
Maintainer: matth
Last Packager: matth
Votes: 9
Popularity: 0.36
First Submitted: 2019-12-24 17:08
Last Updated: 2021-05-13 18:44

Latest Comments

1 2 3 4 Next › Last »

matth commented on 2021-04-28 18:17

tunght13488 and jonquan

You just need to rebuild your php73 package so it builds against your installed icu version. https://wiki.archlinux.org/index.php/Arch_User_Repository#Installing_and_upgrading_packages

Quote from the wiki:

If packages in the official repositories are updated, you will need to rebuild any AUR packages that depend on those libraries.

jonquan commented on 2021-04-27 02:54

tunght13488 I have the same issue as you.

[jon@archlinux ~]$ php73
PHP Warning:  PHP Startup: Unable to load dynamic library 'intl' (tried: /usr/lib/php73/modules/intl (/usr/lib/php73/modules/intl: cannot open shared object file: No such file or directory), /usr/lib/php73/modules/intl.so (/usr/lib/php73/modules/intl.so: undefined symbol: _ZTIN6icu_6817StringEnumerationE)) in Unknown on line 0

tunght13488 commented on 2021-04-26 07:36

Broken after icu-69.1-1. I can't figure out how to downgrade without breaking the system. Symlink to .69 files won't work. Any help is much appreciated

matth commented on 2021-02-28 18:02

brackenhill-mob I'm not sure what would be causing that error. The package builds just fine in a clean chroot for me using extra-x86_64-build

brackenhill-mob commented on 2021-02-28 17:04

I'm getting a build error in /home/arch/.cache/yay/php73/src/php-7.3.27/ext/fileinfo/libmagic/apprentice.c

    {standard input}: Assembler messages:
    {standard input}:3946: Warning: end of file not at end of a line; newline inserted
    {standard input}:5550: Error: no such instruction: `j'
    {standard input}: Error: open CFI at the end of file; missing .cfi_endproc directive
    cc: fatal error: Killed signal terminated program cc1
    compilation terminated.
    make: *** [Makefile:1011: ext/fileinfo/libmagic/apprentice.lo] Error 1
    ==> ERROR: A failure occurred in build().
        Aborting...

Any chance of a fix? I'm migrating a invoicing package which is built against PHP7.3 from an Ubuntu server and my company needs this urgently

TIA

matth commented on 2021-01-14 21:21

@yolosan It looks like you don't have gpg configured to use a keyserver.

You can use something like

gpg --keyserver pool.sks-keyservers.net --receive-keys D66C9593118BCCB6

yolosan commented on 2021-01-14 12:15

Hi. I'm getting the following error:

==> Validating source files with sha256sums...
    php-7.3.26.tar.xz ... Passed
    php-7.3.26.tar.xz.asc ... Skipped
    apache.patch ... Passed
    apache.conf ... Passed
    php-fpm.patch ... Passed
    php-fpm.tmpfiles ... Passed
    php.ini.patch ... Passed
    enchant-2.patch ... Passed
    freetype.patch ... Passed
==> Verifying source file signatures with gpg...
    php-7.3.26.tar.xz ... FAILED (unknown public key D66C9593118BCCB6)
==> ERROR: One or more PGP signatures could not be verified!
:: Unable to build php73 - makepkg exited with code: 1

Doing

$ gpg --recv-key D66C9593118BCCB6
gpg: keyserver receive failed: No name

TheGoliath commented on 2020-05-02 15:48

Package also provides the php package itself. Should be added to the provides section

cdo commented on 2020-04-19 19:42

Thanks for this package. It builds perfectly fine on armv7h. Do you mind adding this architecture to the PKGBUILD?

berturion commented on 2020-03-09 09:51

Thank you @tompear, it is solved after rebuild.